Package docking.options.editor

# Class ColorEditor

java.lang.Object
java.beans.PropertyEditorSupport
docking.options.editor.ColorEditor

All Implemented Interfaces:
  `PropertyEditor`

public class ColorEditor extends PropertyEditorSupport
Color editor that is a bit unusual in that its custom component is a button that when pushed, pops up a dialog for editing the color. Use `ColorPropertyEditor` for a more traditional property editor that returns a direct color editing component.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColorEditor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Component`
  `getCustomEditor()`
  `Object`
  `getValue()`
  `boolean`
  `isPaintable()`
  `void`
  `paintValue(Graphics gfx, Rectangle box)`
  `void`
  `setValue(Object value)`
  `boolean`
  `supportsCustomEditor()`

  ### Methods inherited from class java.beans.PropertyEditorSupport

  `addPropertyChangeListener, firePropertyChange, getAsText, getJavaInitializationString, getSource, getTags, removePropertyChangeListener, setAsText, setSource`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ColorEditor

    public ColorEditor()

- ## Method Details

  - ### getCustomEditor

    public Component getCustomEditor()
    Specified by:
      `getCustomEditor` in interface `PropertyEditor`
    Overrides:
      `getCustomEditor` in class `PropertyEditorSupport`

  - ### supportsCustomEditor

    public boolean supportsCustomEditor()
    Specified by:
      `supportsCustomEditor` in interface `PropertyEditor`
    Overrides:
      `supportsCustomEditor` in class `PropertyEditorSupport`

  - ### setValue

    public void setValue(Object value)
    Specified by:
      `setValue` in interface `PropertyEditor`
    Overrides:
      `setValue` in class `PropertyEditorSupport`

  - ### getValue

    public Object getValue()
    Specified by:
      `getValue` in interface `PropertyEditor`
    Overrides:
      `getValue` in class `PropertyEditorSupport`

  - ### isPaintable

    public boolean isPaintable()
    Specified by:
      `isPaintable` in interface `PropertyEditor`
    Overrides:
      `isPaintable` in class `PropertyEditorSupport`

  - ### paintValue

    public void paintValue(Graphics gfx, Rectangle box)
    Specified by:
      `paintValue` in interface `PropertyEditor`
    Overrides:
      `paintValue` in class `PropertyEditorSupport`